com.airbnb.android.react.maps

## Class AirMapFeature

- java.lang.Object
- - ReactViewGroup
  - - com.airbnb.android.react.maps.AirMapFeature

Direct Known Subclasses:
  AirMapCircle, AirMapMarker, AirMapPolygon, AirMapPolyline

    public abstract class AirMapFeature
    extends ReactViewGroup

### Constructor Summary

Constructors
Constructor and Description
`AirMapFeature(android.content.Context context)`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `addToMap(GoogleMap map)`
`abstract java.lang.Object` `getFeature()`
`abstract void` `removeFromMap(GoogleMap map)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirMapFeature

    public AirMapFeature(android.content.Context context)

### Method Detail

#### addToMap

    public abstract void addToMap(GoogleMap map)

#### removeFromMap

    public abstract void removeFromMap(GoogleMap map)

#### getFeature

    public abstract java.lang.Object getFeature()